var r = Object.defineProperty;
var m = (e, t, a) => t in e ? r(e, t, { enumerable: !0, configurable: !0, writable: !0, value: a }) : e[t] = a;
var s = (e, t, a) => (m(e, typeof t != "symbol" ? t + "" : t, a), a);
import c from "../blots/inline.mjs";
class i extends c {
  static create() {
    return super.create();
  }
  static formats() {
    return !0;
  }
  optimize(t) {
    super.optimize(t), this.domNode.tagName !== this.statics.tagName[0] && this.replaceWith(this.statics.blotName);
  }
}
s(i, "blotName", "bold"), s(i, "tagName", ["STRONG", "B"]);
export {
  i as default
};
